Introspect current API key
curl --request GET \
--url https://api.augustus.com/v1/api_key \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.augustus.com/v1/api_key"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.augustus.com/v1/api_key', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.augustus.com/v1/api_key",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.augustus.com/v1/api_key"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.augustus.com/v1/api_key")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.augustus.com/v1/api_key")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"type": "api_key",
"id": "550e8400-e29b-41d4-a716-44665544000e",
"merchant_id": "68e0a1b2c3d4e5f607182940",
"scopes": [
"payouts:read"
],
"ip_allow_list": [
"203.0.113.0/24"
],
"request_signing": {
"key_id": "NzbLsXh8uDCcd-6MNwXF4W_7noWXFZAfHkxZsRGC9Xs",
"algorithm": "ed25519"
},
"expires_at": "2027-01-15T10:30:00Z",
"created_at": "2026-01-15T10:30:00Z",
"updated_at": "2026-01-15T10:35:00Z",
"api_version": "2026-05-01"
}API Keys
Introspect current API key
Returns the API key resource for the key authenticating this request. Useful for verifying which key is in use and discovering its current authorization context without inferring it from rejected requests.
GET
/
v1
/
api_key
Introspect current API key
curl --request GET \
--url https://api.augustus.com/v1/api_key \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.augustus.com/v1/api_key"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.augustus.com/v1/api_key', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.augustus.com/v1/api_key",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.augustus.com/v1/api_key"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.augustus.com/v1/api_key")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.augustus.com/v1/api_key")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"type": "api_key",
"id": "550e8400-e29b-41d4-a716-44665544000e",
"merchant_id": "68e0a1b2c3d4e5f607182940",
"scopes": [
"payouts:read"
],
"ip_allow_list": [
"203.0.113.0/24"
],
"request_signing": {
"key_id": "NzbLsXh8uDCcd-6MNwXF4W_7noWXFZAfHkxZsRGC9Xs",
"algorithm": "ed25519"
},
"expires_at": "2027-01-15T10:30:00Z",
"created_at": "2026-01-15T10:30:00Z",
"updated_at": "2026-01-15T10:35:00Z",
"api_version": "2026-05-01"
}Authorizations
Response
200 - application/json
The authenticated API key
The effective set of scopes for this key. Stored aliases (e.g. full_access, read_only) are always expanded to concrete resource:action scopes against the current registry before they appear here.
Available options:
payouts:read, payouts:write, deposits:read, returns:read, returns:write, conversions:read, conversions:write, quotes:read, accounts:read, accounts:write, account_programs:read, account_holders:read, account_holders:write, counterparties:read, counterparties:write, webhook_subscriptions:read, webhook_subscriptions:write, events:read, webhook_deliveries:read, webhook_deliveries:write, transactions:read, simulations:write, payout_tracking_events:read Was this page helpful?